Advanced Bash-Scripting Guide: An in-depth exploration of the art of shell scripting
Prev | Appendix G. Command-Line Options | Next

# G.2. Bash Command-Line Options

Bash itself has a number of command-line options. Here are some of the more useful ones.

- `-c`

  Read commands from the following string and assign any arguments to the positional parameters.

       bash$ bash -c 'set a b c d; IFS="+-;"; echo "$*"'
       a+b+c+d

- `-r`

  `--restricted`

  Runs the shell, or a script, in restricted mode.

- `--posix`

  Forces Bash to conform to POSIX mode.

- `--version`

  Display Bash version information and exit.

- `--`

  End of options. Anything further on the command line is an argument, not an option.

Prev | Home | Next
Command-Line Options | Up | Important Files